Subject: Re: bug#70068: [PATCH] Don't warn about lexical binding in lisp-interaction-mode

From: Mattias Engdegård <[email-masked]>
Date: Tue, 9 Apr 2024 12:45:18 +0200

9 apr. 2024 kl. 11.51 skrev Eli Zaretskii <[email-masked]>:

>> Looks like option 3 won. Actually I implemented option 3' which is like 3 but checks the mode instead of lexical-binding, on the grounds that a user who damages his lexical cookie by mistake wants to be reminded of it as soon as possible.
> 
> That's not what I see in the changes you installed on master.

Then I made a mistake, but I don't see where. The intent is to have flymake add the argument

  --eval (setq bytecomp--inhibit-lexical-cookie-warning t)

if (derived-mode-p 'lisp-interaction-mode) is true, and then make the warning conditional on that variable. Doesn't it work?

What I can see is an unrelated bug in flymake: if the first line of a buffer (of an .el file) is empty, then the compiler emits a lexical cookie warning but flymake doesn't show it. Stefan, is this because there is no text to attach the warning to?